Bug 72137 - [chromium-mac] Enable vertical text using Skia
Summary: [chromium-mac] Enable vertical text using Skia
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Cary Clark
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-11 09:00 PST by Cary Clark
Modified: 2011-11-15 08:17 PST (History)
3 users (show)

See Also:


Attachments
Patch (5.18 KB, patch)
2011-11-11 09:08 PST, Cary Clark
no flags Details | Formatted Diff | Diff
Patch (8.86 KB, patch)
2011-11-14 11:07 PST, Cary Clark
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cary Clark 2011-11-11 09:00:41 PST
[chromium-mac] Enable vertical text using Skia
Comment 1 Cary Clark 2011-11-11 09:08:46 PST
Created attachment 114712 [details]
Patch
Comment 2 Stephen White 2011-11-11 09:20:12 PST
Comment on attachment 114712 [details]
Patch

Code looks good.  Will this require any image rebaselines?
Comment 3 Cary Clark 2011-11-14 11:07:48 PST
Created attachment 114989 [details]
Patch
Comment 4 Cary Clark 2011-11-14 11:09:50 PST
Added exceptions to test_expectations
Comment 5 WebKit Review Bot 2011-11-14 11:10:07 PST
Attachment 114989 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1

Last 3072 characters of output:
/test_expectations.txt:3891:  Path does not exist. fast/text/international/vertical-text-glyph-test.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3892:  Path does not exist. fast/text/justify-ideograph-vertical.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3893:  Path does not exist. fast/writing-mode/Kusa-Makura-background-canvas.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3894:  Path does not exist. fast/writing-mode/border-vertical-lr.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3895:  Path does not exist. fast/writing-mode/broken-ideographic-font.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3896:  Path does not exist. fast/writing-mode/fallback-orientation.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3897:  Path does not exist. fast/writing-mode/japanese-lr-text.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3898:  Path does not exist. fast/writing-mode/japanese-rl-text-with-broken-font.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3899:  Path does not exist. fast/writing-mode/japanese-rl-text-with-broken-font.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3900:  Path does not exist. fast/writing-mode/japanese-rl-text.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3901:  Path does not exist. fast/writing-mode/japanese-ruby-vertical-lr.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3902:  Path does not exist. fast/writing-mode/japanese-ruby-vertical-rl.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3903:  Path does not exist. fast/writing-mode/text-orientation-basic.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3904:  Path does not exist. fast/writing-mode/vertical-align-table-baseline.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3905:  Path does not exist. fast/writing-mode/vertical-baseline-alignment.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3906:  Path does not exist. fast/writing-mode/vertical-font-fallback.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3908:  Path does not exist. fast/loader/javascript-url-in-embed.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3910:  Path does not exist. security/crypto-random-values-types.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3912:  Path does not exist. media/track/track-webvtt-tc004-magic-header.html  [test/expectations] [2]
LayoutTests/platform/chromium/test_expectations.txt:3914:  Path does not exist. http/tests/inspector/resource-tree/resource-tree-frame-add.html  [test/expectations] [2]
Total errors found: 2158 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Mike Reed 2011-11-14 11:15:38 PST
*all* style checks are busted for now, so it has to be ignored.
Comment 7 Stephen White 2011-11-14 11:53:07 PST
Comment on attachment 114989 [details]
Patch

Looks good.  r=me; leaving cq off until the EWS bots have chewed on it a bit.
Comment 8 WebKit Review Bot 2011-11-15 08:17:43 PST
Comment on attachment 114989 [details]
Patch

Clearing flags on attachment: 114989

Committed r100283: <http://trac.webkit.org/changeset/100283>
Comment 9 WebKit Review Bot 2011-11-15 08:17:48 PST
All reviewed patches have been landed.  Closing bug.